Create Resident Payment: Propertyware
POST
https://api.propexo.com/v1/resident-payments/propertyware/| Method |
|---|
| createPayment |
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
lease_idstringrequired
The Propexo unique identifier for the lease
amount_in_centsintegerrequired
The amount of the resident payment, in cents
transaction_datestring<date-time>
The transaction date of the resident payment
descriptionstring
Description of the resident payment
reference_numberstring
The reference number for the resident payment
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
lease_idstringrequired
The Propexo unique identifier for the lease
amount_in_centsintegerrequired
The amount of the resident payment, in cents
transaction_date(string | null)<date-time>nullablerequired
The transaction date of the resident payment
descriptionstring | nullnullablerequired
Description of the resident payment
reference_numberstring | nullnullablerequired
The reference number for the resident payment
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-payments/propertyware/
curl -X POST https://api.propexo.com/v1/resident-payments/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"amount_in_cents": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"reference_number": "string"
}
}